<!-- ************************************************************************
   ООО "ГеолонСофт" - разработка программного обеспечения
   
   2014 GeolonSoft, http://geolonsoft.ru
 
   License Attribution cc by / Лицензия «С указанием авторства»
   http://creativecommons.org/licenses/by/3.0/legalcode
   
************************************************************************ -->

<?php 
	include_once("../include/logs.php");
	include_once("../include/mysql.php");
	include_once("../include/include.php");
	include_once("../include/wialon_pro.php");
	
	$log = new logs("");
	$log->trace("start get stats");
	
	$mysql = new mysql();
	$mysql->query("DELETE FROM stats WHERE time < " . (time() - 3600*48) . ";");
	$mysql->disconnect(); 
	

	$pro1 = new wialon_pro("","sdk.wialon.pro","user","pass");
	if ($pro1->sid != "") {
		$log->trace("correct login pro1 time=" . time() . ", sid=" . $pro1->sid);		

		$units = $pro1->get_items("avl_unit",0x1,0,"0xFFFFFF");
		$all_units = count($units);
		$users = $pro1->get_items("user",0x1,0,"0xFFFFFF");
		$all_users = count($users);
		$online_units = get_stats_online_units($all_units,$pro1);
		$log->trace("all_units=$all_units, online_units=$online_units, all_users=$all_users");
		
		$mysql = new mysql();
		$mysql->query("INSERT INTO stats VALUES (" . time() . ",'wialon_pro1',$all_units,$online_units,$all_users);");    	
		$mysql->disconnect();
		
	} else {
		mail("mail@gmail.com", "Alarm WialonPro1", "Pro1 ALARM");
		$mysql = new mysql();
		$mysql->query("INSERT INTO stats VALUES (" . time() . ",'wialon_pro1',0,0,0);");    	
		$mysql->disconnect(); 
	}	 


	$pro2 = new wialon_pro("","sdk2.wialon.pro","user","pass");
	if ($pro2->sid != "") {
		$log->trace("correct login pro2 time=" . time() . ", sid=". $pro2->sid);		

		$units = $pro2->get_items("avl_unit",0x1,0,"0xFFFFFF");
		$all_units = count($units);
		$users = $pro2->get_items("user",0x1,0,"0xFFFFFF");
		$all_users = count($users);
		$online_units = get_stats_online_units($all_units,$pro2);
		
		$log->trace("all_units=$all_units, online_units=$online_units, all_users=$all_users");

		$mysql = new mysql();
		$mysql->query("INSERT INTO stats VALUES (" . time() . ",'wialon_pro2',$all_units,$online_units,$all_users);");    	
		$mysql->disconnect();
		

	} else {
		mail("mail@gmail.com", "Alarm WialonPro2", "Pro2 ALARM");  
		
		$mysql = new mysql();
		$mysql->query("INSERT INTO stats VALUES (" . time() . ",'wialon_pro2',0,0,0);");    	
		$mysql->disconnect();
		
	}


	$log->trace("end get stats");
     
?>
